intake
Saques

Criar saque

POST
/withdraws

Cria uma solicitação de saque para uma chave PIX. Requer Token de Saque e saldo disponível.

Authorization

BearerAuth
AuthorizationBearer <token>

Token de Saque no formato Bearer Token. NUNCA exponha este token no client-side.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.intake.finance/v1/withdraws" \  -H "Content-Type: application/json" \  -d '{    "external_id": "bee89696-914d-48cc-ad54-dd3070852965",    "amount": 5000,    "pix_key": "usuario@exemplo.com"  }'
{
  "id": "wt_123456789",
  "status": "pending",
  "total_amount": "19.50",
  "net_amount": "18.00",
  "fixed_fee": "1.00",
  "variable_fee": "0.50"
}
{
  "error": "Invalid request",
  "details": {
    "field": "amount",
    "message": "Amount must be at least 100 cents"
  }
}
{
  "error": "Unauthorized",
  "details": {
    "message": "Invalid or missing token"
  }
}
{
  "error": "Insufficient balance"
}
{
  "error": "Validation error",
  "details": {
    "field": "pix_key",
    "message": "Invalid PIX key format"
  }
}